<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       www.javmah.tk
 * @since      1.0.0
 *
 * @package    Woo_Orders_To_Google_Spreadsheet
 * @subpackage Woo_Orders_To_Google_Spreadsheet/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->



<?php

# generating nonce
$nonce = wp_create_nonce('woogs_nonce') ;
# getting token data from option table
$token_array = json_decode(get_option( "woogs_access_token" ), true) ;
# woo settings from option table
$woogs_settings = json_decode(get_option( "woogs_settings" ), true) ;

# token validation Cheack :: test purpose 
// $url =  'https://www.googleapis.com/oauth2/v1/tokeninfo?access_token='.$token_array['access_token'];
// $token_data   =  wp_remote_get( $url ); 
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">

	<div id="icon-options-general" class="icon32"></div>
	<h2><?php esc_attr_e( 'Woocommerce orders to google spreadsheet settings', 'woogs' ); ?></h2>

	<!-- <div class="notice notice-warning inline"> -->
	<?php
		if( isset($token_array['authorization_code'] ) AND  !empty($token_array['authorization_code'])   ){
			echo"<div class='notice notice-success inline'>";
		}else{
			echo"<div class='notice notice-warning inline'>";
		}
	?>

		<p>
			<b>Google Access Code</b> 
			<a href="https://accounts.google.com/o/oauth2/auth?response_type=code&access_type=offline&client_id=1010705240979-jol43e06lb2r8pm3r0nr6f80moma8sur.apps.googleusercontent.com&redirect_uri=urn%3Aietf%3Awg%3Aoauth%3A2.0%3Aoob&state&scope=https%3A%2F%2Fwww.googleapis.com%2Fauth%2Fdrive&approval_prompt=auto"  style="margin-left:152px; text-decoration: none; " target="_blank">get google drive access code</a>
			<br>
			<form name="woogs_gcode" method="POST" action="<?php echo esc_url(admin_url('admin-post.php') ); ?>" >
				<input type="hidden" name="action" value="woogs_gcode">
				<input type="hidden" name="woogs_nonce" value="<?php echo $nonce ?>" /> 
				<?php
					if( isset($token_array['authorization_code'] ) AND  !empty($token_array['authorization_code'])   ){
						echo"<input type='text' name='woogs_authorization_code' value='".$token_array['authorization_code']."' style='min-width: 450px; height: 3em;' />";
					}else{
						echo"<input type='text' name='woogs_authorization_code' value='' style='min-width: 450px; height: 3em;'' />";
					}
				?>
				<input type="submit" class="button-primary"   value="<?php esc_attr_e('Update'); ?>"/>
			</form>
		</p>
	</div>

	<!--  Worksheet  Starts From here  -->

	<!-- Starts -->
	<br class="clear" />
	<form name="woogs_settings" method="POST" action="<?php echo esc_url(admin_url('admin-post.php') ); ?>" >

		<input type="hidden" name="action" value="woogs_settings">
		<input type="hidden" name="woogs_nonce" value="<?php echo $nonce ?>" /> 
	<table class="widefat">
		<tr class="alternate">
			<td class="row-title"><label for="tablecell"><?php esc_attr_e('Create  Spreadsheet row after', 'woogs'); ?> </label></td>
			<td>
				<select name="append_row_after" id="wt_list" >
					<option value="new_order"		<?php  echo selected("new_order" , $woogs_settings['append_row_after'], TRUE); ?> > Every new order		</option>
					<option value="status_change"	<?php  echo selected("status_change" , $woogs_settings['append_row_after'], TRUE);?>>Order Status change</option>
					<option value="processing" 		<?php  echo selected("processing" , $woogs_settings['append_row_after'],TRUE); ?>> Status Processing	</option>
					<option value="pending"			<?php  echo selected("pending",$woogs_settings['append_row_after'],TRUE); 	?>> Status Panding payment	</option>
					<option value="completed" 		<?php  echo selected("completed" , $woogs_settings['append_row_after'],	  TRUE); ?>> Status Completed	</option>
					<option value="cancelled"		<?php  echo selected("cancelled" , $woogs_settings['append_row_after'],	  TRUE); ?>> Status Cancelled	</option>
					<option value="refunded" 		<?php  echo selected("refunded" , $woogs_settings['append_row_after'],	  TRUE); ?>> Status Refunded	</option>
					<option value="on-hold" 		<?php  echo selected("on-hold"  , $woogs_settings['append_row_after'],	  TRUE); ?>> Status On hold		</option>
					<option value="failed" 			<?php  echo selected("failed"  , $woogs_settings['append_row_after'],	  TRUE); ?>> Status Failed		</option>
				</select>
			</td>
		</tr>

		<tr>
			<td class="row-title"><label for="tablecell"><?php esc_attr_e('Select a Google Spreadsheet', 'woogs'); ?></label></td>
			<td>
				<!-- Dropdown Select  -->
				<select name="spreadsheet" id="spreadsheet">
					<option value=''> Select a Spreadsheet </option> 
					<?php
						foreach ($this->spreadsheets($token_array)[1] as $key => $value) {
							
							if( isset($woogs_settings['spreadsheet'] ) AND  !empty($woogs_settings['spreadsheet'])   ){
								
								if ($woogs_settings['spreadsheet'] == $key) {
									echo "<option selected='selected' value='". $key ."'>". $value ."</option> "    ;
								}else{
									echo "<option value='". $key ."'>". $value ."</option> "    ;
								}
							}else{
								echo "<option value='". $key ."'>". $value ."</option> "    ;
							}
						}
					?>
				</select>
			</td>
		</tr>
		<tr class="alternate">
			<td class="row-title"><label for="tablecell"><?php esc_attr_e('Select a work Sheet', 'woogs'); ?> </label></td>
			<td>
				<!-- Ajax Loade  -->
				<select name="worksheet" id="worksheet">
					<?php
						if( isset($woogs_settings['worksheet'] ) AND  !empty($woogs_settings['worksheet'])   ){
							echo " <option value='".$woogs_settings['worksheet']."'> ".$woogs_settings['worksheet'] ." </option>  "    ;
						}else{
							echo " <option value=''> Please select a  worksheet </option>  "    ;
						}
					?>
				</select>

				<code> write column titles  <input type="checkbox"   name="create_column_title" value="y" checked > </code> 
			</td>
		</tr>

		<tr>
			<td class="row-title"> </td>
			<td>
				<input type="submit" class="button-primary" name="save">
			</td>
		</tr>

	</table>

	</form>
	<!-- Ends -->

	<!-- Pr Sta -->
	<br>

	<p> 
		<i>  <b>To whom it may concern : </b> This plugin only saves and uses the authorization token provided by Google. This token is saved to user’s own WordPress databse. No other personal info saved or tracked . closed Looped .</i>
		<br>
		<i>  <b> For Help : </b> Please let me know if you may have any problems regarding this plugin, or if you wish to have any other functionality. jaedmah⊗gmail.com</i>
	</p>
	</br>

	<?php
		# test purpose 
		// $token_array['created'] +=  21600 ;
		// $token_array['expire'] 	+=  21600 ;
		// #
		// $token_array['created'] = date('Y-m-d H:i:s', $token_array['created'] );
		// $token_array['expire']  = date('Y-m-d H:i:s',  $token_array['expire'] );

		// if ( ! empty( get_option( "woogs_access_token" ) ) ) {
		// 	echo "<pre>";
		// 	print_r(  $token_array  );
		// 	echo "</pre>";
		// }

		// echo "<br> <hr>";

		// if ( ! empty( $woogs_settings ) ) {
		// 	echo "<pre>";
		// 	print_r(  $woogs_settings  );
		// 	echo "</pre>";
		// }
	?>
	<!-- Pr End -->
</div> <!-- .wrap -->

