<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       www.javmah.tk
 * @since      1.0.0
 *
 * @package    Woo_Orders_To_Google_Spreadsheet
 * @subpackage Woo_Orders_To_Google_Spreadsheet/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Woo_Orders_To_Google_Spreadsheet
 * @subpackage Woo_Orders_To_Google_Spreadsheet/includes
 * @author     javmah <jaedmah@gmail.com>
 */
class Woo_Orders_To_Google_Spreadsheet_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'woo-orders-to-google-spreadsheet',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
